Subject: bug#32444: 27.0.50; lisp.h XCAR compilatiob warning

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 27 Jun 2019 23:08:02 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Live System User <[email-masked]> writes:
>
>>         Compilation gives various warnings:
>>
>> In file included from dbusbind.c:26:0:
>> dbusbind.c: In function ‘xd_signature’:
>> lisp.h:379:38: warning: potential null pointer dereference [-Wnull-dereference]
>>  #define lisp_h_XCAR(c) XCONS (c)->u.s.car
>>                         ~~~~~~~~~~~~~~^~
>> lisp.h:1280:10: note: in expansion of macro ‘lisp_h_XCAR’
>>    return lisp_h_XCAR (c);
>>           ^~~~~~~~~~~
>
> Yes, I'm seeing the same thing.  Is this due to an old version of gcc or
> something?  I'm using "gcc (Debian 6.3.0-18+deb9u1) 6.3.0 20170516".

Yes, it's not present with a newer gcc, so this is a known issue (and it
sounds like it won't be fixed (from when I reported a similar thing)),
so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no